# Bio.PDB.StructureAlignment module

Map residues of two structures to each other based on a FASTA alignment.

class Bio.PDB.StructureAlignment.StructureAlignment(fasta_align, m1, m2, si=0, sj=1)

  Bases: `object`

  Class to align two structures based on an alignment of their sequences.

  __init__(fasta_align, m1, m2, si=0, sj=1)

    Initialize.

    Attributes:

      - fasta_align - Alignment object

      - m1, m2 - two models

      - si, sj - the sequences in the Alignment object that correspond to the structures

  get_maps()

    Map residues between the structures.

    Return two dictionaries that map a residue in one structure to the equivealent residue in the other structure.

  get_iterator()

    Create an iterator over all residue pairs.

  __firstlineno__ = 15
  __static_attributes__ = ('duos', 'map12', 'map21')

Biopython v: 1.85

Versions
  Previous
  Latest
  Develop

Biopython Project
  Homepage
  On GitHub